Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hammurapi.reasoning.impl
Class ExpressionConditionNode<F>

    java.lang.Object
      com.hammurapi.reasoning.impl.ReasoningNodeBase<F>
          com.hammurapi.reasoning.impl.ConditionNode<F>
              com.hammurapi.reasoning.impl.ExpressionConditionNode<F>

All Implemented Interfaces:
  FlowElement, Node<List<?>,Integer,KnowledgeBase<F>,com.hammurapi.reasoning.impl.InferenceToken<F>>

    public class ExpressionConditionNode<F>

extends ConditionNode<F>

Field Summary

Fields inherited from class com.hammurapi.reasoning.impl.ReasoningNodeBase
`knowledgeBase, method, methodName, parameterTypes, pins, rule, ruleDescription, ruleName`

Constructor Summary
`ExpressionConditionNode()`

Method Summary
`void` | `addConditionArgument(ConditionArgument conditionArgument)`
`void` | `afterConnect()`
`protected boolean` | `partialJoin(List<com.hammurapi.reasoning.impl.InferenceToken<F>>[] inputs, int index)` Evaluate condition as soon as all condition arguments are available.
`void` | `setCondition(String condition)`
`protected void` | `sortInputs()` Sort input pins to move pins with conditon arguments to first positions.
`String` | `toString()`

Methods inherited from class com.hammurapi.reasoning.impl.ConditionNode
`process`

Methods inherited from class com.hammurapi.reasoning.impl.ReasoningNodeBase
`addPin, beforeConnect, getInputPins, getInvocable, getInvoker, getPriority, invoke, setKnowledgeBase, setMethodName, setParameterTypes, setPriority, setRuleDescription, setRuleIndex, setRuleName, setRules`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExpressionConditionNode

    public ExpressionConditionNode()

Method Detail

### setCondition

    public void setCondition(String condition)

### addConditionArgument

    public void addConditionArgument(ConditionArgument conditionArgument)

### toString

    public String toString()

  Overrides:
    `toString` in class `ReasoningNodeBase<F>`

### partialJoin

    protected boolean partialJoin(List<com.hammurapi.reasoning.impl.InferenceToken<F>>[] inputs,
                                  int index)
                           throws Exception

  Evaluate condition as soon as all condition arguments are available.

  Overrides:
    `partialJoin` in class `ReasoningNodeBase<F>`
  Parameters:
    `inputs` - Inputs
    `index` - Index of last already joined input.
  Returns:
  Throws:
    `Exception`

### sortInputs

    protected void sortInputs()

  Sort input pins to move pins with conditon arguments to first positions.

  Overrides:
    `sortInputs` in class `ReasoningNodeBase<F>`

### afterConnect

    public void afterConnect()
                      throws ConfigurationException

  Specified by:
    `afterConnect` in interface `FlowElement`
  Overrides:
    `afterConnect` in class `ReasoningNodeBase<F>`
  Throws:
    `ConfigurationException`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD